<?php
declare (strict_types = 1);
namespace ProxyPay\Core;

abstract class Cron
{
	protected $db;
	protected $config;

	public function __construct()
	{
		$config = Config::get();
		$db = new Db($config->db_host, $config->db_user, $config->db_pass, $config->db_base);
		$db->set_charset("utf8");
		$this->db = $db;
	}

	abstract public function exec():void;
}